*******************************************************************************************************************************************************************************************************************.
****************************************************GENERACIN DE TABULADOS - ENCUESTA ESTRUCTURAL EMPRESARIAL******************************************************************.
*******************************************************************************************************************************************************************************************************************.

*INSTITUTO NACIONAL DE ESTADSTICA Y CENSO (INEC)
*FUENTE: Encuesta de Estructural Empresarial 2016.
*RESPONSABLE: Unidad de Gestin de Estadsticas Estructurales
*Fecha de elaboracin: Abril 2016.
*Fecha de ltima actualizacin: 18/04/2016

*Estimado Usuario. Por favor en el disco C: de su computadora, crear una carpeta llamada "Tabulados Estructural", y coloque la base de datos de la encuesta
En esta carpeta se exportaran los resultados de los tabulados. 

GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.

*Utilizar la base con el factor de expansin. 
weight by f_exp.
execute.

*****
*CUADRO 1. NMERO DE EMPRESAS, PERSONAL OCUPADO, REMUNERACIONES, PRODUCCIN TOTAL, CONSUMO INTERMEDIO, VALOR AGREGADO,
DEPRECIACIONES Y FORMACIN BRUTA DE CAPITAL.

*C1-SECCIN.
TABLES
  /OBSERVATION = totalpeoc totremun prodtota consint valag deprecia fbkf_1
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (k+totalpeoc+totremun+prodtota+consint+valag+deprecia+fbkf_1)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 1-A'
           ' NMERO DE EMPRESAS, PERSONAL OCUPADO, REMUNERACIONES, PRODUCCIN TOTAL, CONSUMO INTERMEDIO, VALOR AGREGADO,' 
           + 'DEPRECIACIONES Y FORMACIN BRUTA DE CAPITAL, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C1-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C1-TAMAO.
TABLES
  /OBSERVATION = totalpeoc totremun prodtota consint valag deprecia fbkf_1
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (k+totalpeoc+totremun+prodtota+consint+valag+deprecia+fbkf_1)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 1-B'
           ' NMERO DE EMPRESAS, PERSONAL OCUPADO, REMUNERACIONES, PRODUCCIN TOTAL, CONSUMO INTERMEDIO, VALOR AGREGADO,' 
           + 'DEPRECIACIONES Y FORMACIN BRUTA DE CAPITAL, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C1-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*****
*CUADRO 2. PERSONAL OCUPADO, HORAS TRABAJADAS, SUELDOS Y SALARIOS PAGADOS.

*C2-SECCIN.
TABLES
  /OBSERVATION = v5115 v5116 totalpeoc v5307 v5308 v5309 v5310 v5311 v5312 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+ cod_letra BY v5115 + v5116 + totalpeoc + v5307 + v5308 + v5309 + v5310 + v5311 + v5312 
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 2-A'
           'PERSONAL OCUPADO, HORAS TRABAJADAS, SUELDOS Y SALARIOS PAGADOS, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C2-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C2-TAMAO.
TABLES
  /OBSERVATION = v5115 v5116 totalpeoc v5307 v5308 v5309 v5310 v5311 v5312 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+ cod_tamano BY v5115 + v5116 + totalpeoc + v5307 + v5308 + v5309 + v5310 + v5311 + v5312 
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 2-B'
           'PERSONAL OCUPADO, HORAS TRABAJADAS, SUELDOS Y SALARIOS PAGADOS, SEGN TAMAO DE EMPRESA'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C2-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C2-CATEGORIAS DE OCUPACIN.
COMPUTE ciuo=1.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5011=peocuh.
RENAME VARIABLES v5012=peocum.
RENAME VARIABLES v5013=totpeocu.
RENAME VARIABLES v5235=hotranorma.
RENAME VARIABLES v5236=hotraextra.
RENAME VARIABLES v5237=tothotraba.
RENAME VARIABLES v5238=suelsanovhom.
RENAME VARIABLES v5239=suelsanovmuje.
RENAME VARIABLES v5240=totsuelsanov.
VARIABLE LABELS peocuh 'Total hombres'.
VARIABLE LABELS peocum 'Total mujeres'.
VARIABLE LABELS totpeocu 'Total de Personal Ocupado'.
VARIABLE LABELS hotranorma 'Total horas normales trabajadas en el mes de noviembre'.
VARIABLE LABELS hotraextra 'Total horas extras trabajadas en el mes de noviembre'.
VARIABLE LABELS tothotraba 'Total Horas Trabajadas'.
VARIABLE LABELS suelsanovhom 'Total Sueldos y Salarios Pagados Noviembre - Hombres'.
VARIABLE LABELS suelsanovmuje 'Total Sueldos y Salarios Pagados Noviembre - Mujeres'.
VARIABLE LABELS totsuelsanov 'Total Sueldos y Salarios Pagados en el mes de Noviembre'.
EXECUTE.

SAVE OUTFILE='C:\Tabulados Estructural\GO1.sav'/KEEP ciuo peocuh peocum totpeocu hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 2***.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=2.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5024=peocuh.
RENAME VARIABLES v5025=peocum.
RENAME VARIABLES v5026=totpeocu.
RENAME VARIABLES v5244=hotranorma.
RENAME VARIABLES v5245=hotraextra.
RENAME VARIABLES v5246=tothotraba.
RENAME VARIABLES v5247=suelsanovhom.
RENAME VARIABLES v5248=suelsanovmuje.
RENAME VARIABLES v5249=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO2.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 3***.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=3.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5037=peocuh.
RENAME VARIABLES v5038=peocum.
RENAME VARIABLES v5039=totpeocu.
RENAME VARIABLES v5253=hotranorma.
RENAME VARIABLES v5254=hotraextra.
RENAME VARIABLES v5255=tothotraba.
RENAME VARIABLES v5256=suelsanovhom.
RENAME VARIABLES v5257=suelsanovmuje.
RENAME VARIABLES v5258=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO3.sav'/KEEP ciuo peocuh peocum totpeocu 
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 4***.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=4.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5050=peocuh.
RENAME VARIABLES v5051=peocum.
RENAME VARIABLES v5052=totpeocu.
RENAME VARIABLES v5262=hotranorma.
RENAME VARIABLES v5263=hotraextra.
RENAME VARIABLES v5264=tothotraba.
RENAME VARIABLES v5265=suelsanovhom.
RENAME VARIABLES v5266=suelsanovmuje.
RENAME VARIABLES v5267=totsuelsanov.


SAVE OUTFILE='C:\Tabulados Estructural\GO4.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 5***.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=5.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5063=peocuh.
RENAME VARIABLES v5064=peocum.
RENAME VARIABLES v5065=totpeocu.
RENAME VARIABLES v5271=hotranorma.
RENAME VARIABLES v5272=hotraextra.
RENAME VARIABLES v5273=tothotraba.
RENAME VARIABLES v5274=suelsanovhom.
RENAME VARIABLES v5275=suelsanovmuje.
RENAME VARIABLES v5276=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO5.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 6***.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=6.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5076=peocuh.
RENAME VARIABLES v5077=peocum.
RENAME VARIABLES v5078=totpeocu.
RENAME VARIABLES v5280=hotranorma.
RENAME VARIABLES v5281=hotraextra.
RENAME VARIABLES v5282=tothotraba.
RENAME VARIABLES v5283=suelsanovhom.
RENAME VARIABLES v5284=suelsanovmuje.
RENAME VARIABLES v5285=totsuelsanov.


SAVE OUTFILE='C:\Tabulados Estructural\GO6.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 7 y 8***.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=7.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5089=peocuh.
RENAME VARIABLES v5090=peocum.
RENAME VARIABLES v5091=totpeocu.
RENAME VARIABLES v5289=hotranorma.
RENAME VARIABLES v5290=hotraextra.
RENAME VARIABLES v5291=tothotraba.
RENAME VARIABLES v5292=suelsanovhom.
RENAME VARIABLES v5293=suelsanovmuje.
RENAME VARIABLES v5294=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO7.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 9***.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=9.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5102=peocuh.
RENAME VARIABLES v5103=peocum.
RENAME VARIABLES v5104=totpeocu.
RENAME VARIABLES v5298=hotranorma.
RENAME VARIABLES v5299=hotraextra.
RENAME VARIABLES v5300=tothotraba.
RENAME VARIABLES v5301=suelsanovhom.
RENAME VARIABLES v5302=suelsanovmuje.
RENAME VARIABLES v5303=totsuelsanov.


SAVE OUTFILE='C:\Tabulados Estructural\GO9.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Unificacin de archivos****.

GET FILE='C:\Tabulados Estructural\GO1.sav'.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO2.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO3.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO4.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO5.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO6.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO7.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO9.sav'.
EXECUTE.

FORMATS ciuo (F1.0).
VALUE LABELS ciuo 
1 'Directores y Genrentes'
2 'Profesionales, Cientficos e Intelectuales'
3 'Tcnicos y Profesionales de nivel medio'
4 'Personal de Apoyo Administrativo / Empleados de Oficina'
5 'Trabajadores de los Servicios y Vendedores de Comercios y Mercados'
6 'Agricultores y Trabajadores Calificados Agropecuarios, Forestales y Pesqueros'
7 'Artesanos, Oficiales y Operadores de Instalaciones y Maquinarias'
9 'Trabajadores no calificados, Ocupaciones elementales'.
EXECUTE.

COMPUTE K=1.
VARIABLE LABELS K 'Total'.
VALUE LABELS K 1'Nacional'.
EXECUTE.

SAVE OUTFILE='C:\Tabulados Estructural\BDD_PO_CIUO.sav'.

*CUADRO DE RESULTADO* .
WEIGHT by f_exp.
TABLES
  /OBSERVATION = peocuh peocum totpeocu hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+ ciuo BY peocuh + peocum + totpeocu + hotranorma + hotraextra + tothotraba + suelsanovhom + suelsanovmuje + totsuelsanov
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 2-C'
           ' PERSONAL OCUPADO, HORAS TRABAJADAS, SUELDOS Y SALARIOS, SEGN GRUPOS DE OCUPACIN (CIUO 08. REV.)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C2-C'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
WEIGHT by f_exp. 

*****
*CUADRO 3. REMUNERACIONES.

*C3-SECCIN.
TABLES
  /OBSERVATION =v1082 v1085 v1088 otrrem
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (v1082+v1085+v1088+otrrem)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 3-A'
           'REMUNERACIONES, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C3-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C3-TAMAO.
TABLES
  /OBSERVATION =v1082 v1085 v1088 otrrem
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (v1082+v1085+v1088+otrrem)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 3-B'
           'REMUNERACIONES, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C3-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*****
CUADRO 4. PRODUCCIN TOTAL.

*C4-SECCIN.
TABLES
  /OBSERVATION =prodtota v2001 v_merc v2004 oingxser c_merc varexisbt varexism v4132 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (prodtota+v2001+v_merc+v2004+oingxser+c_merc+varexisbt+varexism+v4132 )
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 4-A'
           'PRODUCCIN TOTAL, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C4-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C4-TAMAO.
TABLES
  /OBSERVATION =prodtota v2001 v_merc v2004 oingxser c_merc varexisbt varexism v4132 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (prodtota+v2001+v_merc+v2004+oingxser+c_merc+varexisbt+varexism+v4132 )
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 4-B'
           'PRODUCCIN TOTAL, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C4-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*****
CUADRO 5. CONSUMO INTERMEDIO

*C5-SECCIN.
TABLES
  /OBSERVATION =consint totinsum matprima repacces gasopera otrgasop
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (consint+totinsum+matprima+repacces+gasopera+otrgasop)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 5-A'
           'CONSUMO INTERMEDIO, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C5-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C5-TAMAO.
TABLES
  /OBSERVATION =consint totinsum matprima repacces gasopera otrgasop
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (consint+totinsum+matprima+repacces+gasopera+otrgasop)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 5-B'
           'CONSUMO INTERMEDIO, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C5-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*****
*CUADRO 6. VALOR Y CANTIDAD DE LOS COMBUSTIBLES Y LUBRICANTES CONSUMIDOS.

*C6-SECCIN.
TABLES
  /OBSERVATION =v9071 v9042 v9043 v9044 v9045 v9046 v9047 v9048 v9049 v9050 v9051 v9052 v9053 v9054 v9055 v9056 v9057 v9058 v9059 v9060 v9061 v9062 v9063 v9064 v9065 v9066 
v9067 v9068 v9069 v9070
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (v9071+v9042+v9043+v9044+v9045+v9046+v9047+v9048+v9049+v9050+v9051+v9052+v9053+v9054+v9055+v9056+v9057+v9058+v9059+v9060+v9061+v9062+v9063 
+v9064+v9065+v9066+v9067+v9068+v9069+v9070)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 6-A'
           'VALOR Y CANTIDAD DE LOS COMBUSTIBLES Y LUBRICANTES CONSUMIDOS, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C6-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C6-TAMAO.
TABLES
  /OBSERVATION =v9071 v9042 v9043 v9044 v9045 v9046 v9047 v9048 v9049 v9050 v9051 v9052 v9053 v9054 v9055 v9056 v9057 v9058 v9059 v9060 v9061 v9062 v9063 v9064 v9065 v9066 
v9067 v9068 v9069 v9070
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (v9071+v9042+v9043+v9044+v9045+v9046+v9047+v9048+v9049+v9050+v9051+v9052+v9053+v9054+v9055+v9056+v9057+v9058+v9059+v9060+v9061+v9062+v9063 
+v9064+v9065+v9066+v9067+v9068+v9069+v9070)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 6-B'
           'VALOR Y CANTIDAD DE LOS COMBUSTIBLES Y LUBRICANTES CONSUMIDOS, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C6-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*****
*CUADRO 7. VALOR Y CANTIDAD DE ENERGA ELCTRICA Y AGUA CONSUMIDA.

*C7-SECCIN.
TABLES
  /OBSERVATION =vtee veepyc v9002 vtagua v10001 v10008 v10022 ceepyc v9001 v10000 cacpt v10021
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (vtee+veepyc+v9002+vtagua+v10001+v10008+v10022+ceepyc+v9001+v10000+cacpt+v10021)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 7-A'
           'VALOR Y CANTIDAD DE ENERGA ELCTRICA Y AGUA CONSUMIDA, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C7-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C7-TAMAO.
TABLES
  /OBSERVATION =vtee veepyc v9002 vtagua v10001 v10008 v10022 ceepyc v9001 v10000 cacpt v10021
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (vtee+veepyc+v9002+vtagua+v10001+v10008+v10022+ceepyc+v9001+v10000+cacpt+v10021)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 7-B'
           'VALOR Y CANTIDAD DE ENERGA ELCTRICA Y AGUA CONSUMIDA, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C7-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

****
*CUADRO 8. INDICADORES DE RELACIN.

*GENERACIN DE INDICADORES SECCIN.
*8-1.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'. 
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-1.sav'
  /BREAK=cod_letra
/prodtota_sum 'Produccin total'=SUM(prodtota)
/totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-1.sav'.
execute.

compute prodpo=prodtota_sum/totalpeoc_sum.
variable labels prodpo 'Produccin por persona ocupada'.
execute.

SAVE OUTFILE='C:\Tabulados Estructural\C8-1.sav'.

*8-2.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'. 
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-2.sav'
  /BREAK=cod_letra
/prodtota_sum 'Produccin total'=SUM(prodtota)
/hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-2.sav'.
execute.

compute prodh=prodtota_sum/hanuales_sum.
variable labels prodh 'Produccin por hora trabajada'.
execute.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8-2.sav'.

*8-3.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'. 
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-3.sav'
  /BREAK=cod_letra
/valag_sum 'Valor agregado total'=SUM(valag)
/totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-3.sav'.
execute.

compute valagpo=valag_sum/totalpeoc_sum.
variable labels valagpo 'Valor agregado por persona ocupada'.
execute.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8-3.sav'.

*8-4.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'. 
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-4.sav'
  /BREAK=cod_letra
/valag_sum 'Valor agregado total'=SUM(valag)
/hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-4.sav'.
execute.

compute valagh=valag_sum/hanuales_sum.
variable labels valagh 'Valor agregado por hora trabajada'.
execute.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8-4.sav'.

*8-5.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'. 
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and cant_ener>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-5.sav'
  /BREAK=cod_letra
/energia_sum 'Cantidad total de energa'=SUM(cant_ener)
/valag_sum 'Valor agregado total'=SUM(valag).

GET FILE='C:\Tabulados Estructural\C8-5.sav'.
execute.

compute energia_ind=energia_sum/valag_sum.
variable labels energia_ind 'Intensidad del uso de energa'.
execute.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8-5.sav'.

*8-6.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'. 
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and cant_agua>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-6.sav'
  /BREAK=cod_letra
/agua_sum 'Cantidad total de agua'=SUM(cant_agua)
/valag_sum 'Valor agregado total'=SUM(valag).

GET FILE='C:\Tabulados Estructural\C8-6.sav'.
execute.

compute valag_sum1000=valag_sum/1000.
compute agua_ind=agua_sum/valag_sum1000. 
variable labels agua_ind 'Intensidad del uso de agua'.
execute.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8-6.sav'.

*Unificacin de indicadores.
GET FILE = 'C:\Tabulados Estructural\C8-1.sav'.
DELETE VARIABLES prodtota_sum totalpeoc_sum.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-2.sav'
  /RENAME (hanuales_sum prodtota_sum = d0 d1) 
  /BY cod_letra
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-3.sav'
  /RENAME (totalpeoc_sum valag_sum = d0 d1) 
  /BY cod_letra
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-4.sav'
  /RENAME (hanuales_sum valag_sum = d0 d1) 
  /BY cod_letra
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-5.sav'
  /RENAME (energia_sum valag_sum = d0 d1) 
  /BY cod_letra
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-6.sav'
  /RENAME (agua_sum valag_sum1000 valag_sum = d0 d1 d2) 
  /BY cod_letra
  /DROP= d0 d1 d2.
EXECUTE.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8S.sav'.

*C8-SECCIN.
TABLES
  /OBSERVATION =prodpo prodh valagpo valagh energia_ind agua_ind
  /FORMAT BLANK MISSING('.')
 /TABLE=cod_letra BY (prodpo+prodh+valagpo+valagh+energia_ind+agua_ind)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 8-A'
           'INDICADORES DE RELACIN, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C8-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*GENERACIN DE INDICADORES TAMAO.
*8-1.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'. 
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-1.sav'
  /BREAK=cod_tamano
/prodtota_sum 'Produccin total'=SUM(prodtota)
/totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-1.sav'.
execute.

compute prodpo=prodtota_sum/totalpeoc_sum.
variable labels prodpo 'Produccin por persona ocupada'.
execute.

SAVE OUTFILE='C:\Tabulados Estructural\C8-1.sav'.

*8-2.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'. 
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-2.sav'
  /BREAK=cod_tamano
/prodtota_sum 'Produccin total'=SUM(prodtota)
/hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-2.sav'.
execute.

compute prodh=prodtota_sum/hanuales_sum.
variable labels prodh 'Produccin por hora trabajada'.
execute.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8-2.sav'.

*8-3.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'. 
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-3.sav'
  /BREAK=cod_tamano
/valag_sum 'Valor agregado total'=SUM(valag)
/totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-3.sav'.
execute.

compute valagpo=valag_sum/totalpeoc_sum.
variable labels valagpo 'Valor agregado por persona ocupada'.
execute.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8-3.sav'.

*8-4.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'. 
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-4.sav'
  /BREAK=cod_tamano
/valag_sum 'Valor agregado total'=SUM(valag)
/hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-4.sav'.
execute.

compute valagh=valag_sum/hanuales_sum.
variable labels valagh 'Valor agregado por hora trabajada'.
execute.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8-4.sav'.

*8-5.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'. 
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and cant_ener>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-5.sav'
  /BREAK=cod_tamano
/energia_sum 'Cantidad total de energa'=SUM(cant_ener)
/valag_sum 'Valor agregado total'=SUM(valag).

GET FILE='C:\Tabulados Estructural\C8-5.sav'.
execute.

compute energia_ind=energia_sum/valag_sum.
variable labels energia_ind 'Intensidad del uso de energa'.
execute.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8-5.sav'.

*8-6.
GET FILE ='C:\Tabulados Estructural\2016_ESTRUCTURAL_EMPRESARIAL_BDD.sav'. 
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and cant_agua>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-6.sav'
  /BREAK=cod_tamano
/agua_sum 'Cantidad total de agua'=SUM(cant_agua)
/valag_sum 'Valor agregado total'=SUM(valag).

GET FILE='C:\Tabulados Estructural\C8-6.sav'.
execute.

compute valag_sum1000=valag_sum/1000.
compute agua_ind=agua_sum/valag_sum1000. 
variable labels agua_ind 'Intensidad del uso de agua'.
execute.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8-6.sav'.

*Unificacin de indicadores.
GET FILE = 'C:\Tabulados Estructural\C8-1.sav'.
DELETE VARIABLES prodtota_sum totalpeoc_sum.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-2.sav'
  /RENAME (hanuales_sum prodtota_sum = d0 d1) 
  /BY cod_tamano
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-3.sav'
  /RENAME (totalpeoc_sum valag_sum = d0 d1) 
  /BY cod_tamano
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-4.sav'
  /RENAME (hanuales_sum valag_sum = d0 d1) 
  /BY cod_tamano
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-5.sav'
  /RENAME (energia_sum valag_sum = d0 d1) 
  /BY cod_tamano
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-6.sav'
  /RENAME (agua_sum valag_sum1000 valag_sum = d0 d1 d2) 
  /BY cod_tamano
  /DROP= d0 d1 d2.
EXECUTE.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8T.sav'.

*C8-TAMAO.
TABLES
  /OBSERVATION =prodpo prodh valagpo valagh energia_ind agua_ind
  /FORMAT BLANK MISSING('.')
 /TABLE=cod_tamano BY (prodpo+prodh+valagpo+valagh+energia_ind+agua_ind)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 8-B'
           'INDICADORES DE RELACIN, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2016'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Tabulados Estructural\tabulados_estructural_2016'
     OPERATION=CREATESHEET  SHEET='C8-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


